This is a Laravel 5 package that provides publicity management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `publicity/publicity`.

    "publicity/publicity": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Publicity\Publicity\Providers\PublicityServiceProvider::class,

```

And also add it to alias

```php
'Publicity'  => Publicity\Publicity\Facades\Publicity::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Publicity\Publicity\Providers\PublicityServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Publicity\Publicity\Providers\PublicityServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Publicity\Publicity\Providers\PublicityServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Publicity\Publicity\Providers\PublicityServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Publicity\Publicity\Providers\PublicityServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Publicity\Publicity\Providers\PublicityServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


